import React from 'react';
import {Form, Input, Button} from 'semantic-ui-react';
import {getRequest} from '../../../actions';

class TimezoneForm extends React.Component {
    state = {
        zones: [],
        zone: '',
        loc: ''
    }

    componentDidMount(){
        this.getZones();
        this.getZoneSet();        
    }

    getZones = () => {
        fetch('/api/system/gettimezonelist', getRequest())
            .then(response=>response.json())
            .then(json => {
                if(json.status != 1) return this.props.showDialog(json.message);
                this.setState({
                    zones: json.data.record || []
                })
            })
    }

    getZoneSet = () => {
        fetch('/api/system/gettimezoneset', getRequest())
            .then(response=>response.json())
            .then(json => {
                if(json.status != 1) return this.props.showDialog(json.message);
                let tz = (json.data.record[0].value || '').split('/');
                this.setState({
                    zone: tz[0] || '',
                    loc: tz[1] || ''
                });
            })
    }

    render(){
        return (
            <Form>
                <Form.Field>
                    <Input label="系統Timezone" 
                        value={`${this.state.zone}${this.state.zone.length > 0 ? '/' : ''}${this.state.loc}`} />
                </Form.Field>
                
            </Form>
        )
    }
}

export default TimezoneForm;